Relax cmake minumum version to 2.8 from 3.0. Seems to work fine.